summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCaleb Tennis <caleb@gentoo.org>2004-05-26 22:42:20 +0000
committerCaleb Tennis <caleb@gentoo.org>2004-05-26 22:42:20 +0000
commit9a5e5dc38c1ea299d72cbeae2df4bc3a1a7e2804 (patch)
tree728bac1886497b99702770d61c278ed31e4ba0ef /kde-base
parentfix arts SRC_URI (diff)
downloadhistorical-9a5e5dc38c1ea299d72cbeae2df4bc3a1a7e2804.tar.gz
historical-9a5e5dc38c1ea299d72cbeae2df4bc3a1a7e2804.tar.bz2
historical-9a5e5dc38c1ea299d72cbeae2df4bc3a1a7e2804.zip
get the right files in there
Diffstat (limited to 'kde-base')
-rw-r--r--kde-base/kdebase/files/3.2.2/startkde-3.3.0_alpha1-gentoo.diff (renamed from kde-base/kdebase/files/3.2.2/startkde-3.2.2-gentoo.diff)56
1 files changed, 20 insertions, 36 deletions
diff --git a/kde-base/kdebase/files/3.2.2/startkde-3.2.2-gentoo.diff b/kde-base/kdebase/files/3.2.2/startkde-3.3.0_alpha1-gentoo.diff
index 2f1c520b2deb..4c8234623b36 100644
--- a/kde-base/kdebase/files/3.2.2/startkde-3.2.2-gentoo.diff
+++ b/kde-base/kdebase/files/3.2.2/startkde-3.3.0_alpha1-gentoo.diff
@@ -1,17 +1,13 @@
---- startkde 2003-03-12 18:20:54.000000000 +0100
-+++ startkde 2003-03-12 18:26:10.000000000 +0100
-@@ -1,12 +1,34 @@
+--- startkde.orig 2004-05-24 19:52:04.536984592 -0500
++++ startkde 2004-05-24 19:53:32.712579864 -0500
+@@ -1,8 +1,31 @@
-#!/bin/sh
+#!/bin/sh --login
#
--# DEFAULT KDE STARTUP SCRIPT ( KDE-3.2 )
-+# GENTOO CUSTOMIZED KDE STARTUP SCRIPT ( KDE-3.2 )
+-# DEFAULT KDE STARTUP SCRIPT ( KDE-3.3 )
++# GENTOO CUSTOMIZED KDE STARTUP SCRIPT ( KDE-3.3 )
#
- # When the X server dies we get a HUP signal from xinit. We must ignore it
- # because we still need to do some cleanup.
- trap 'echo GOT SIGHUP' HUP
-
+# Gentoo part:
+export PATH="_KDEDIR_/bin:${PATH}"
+export KDEDIR="_KDEDIR_"
@@ -21,28 +17,29 @@
+# handle ~/.kde* dirs - separate ones for separate KDEs
+cd ~
+[ -d .kde ] && /bin/mv .kde .kde.backup
-+if [ ! -e .kde3.2 ]; then
-+ if [ -e .kde3.1 ]; then
-+ /bin/cp -r .kde3.1 .kde3.2
-+ else
-+ /bin/mkdir .kde3.2
-+ fi
++if [ ! -e .kde3.3 ]; then
++ if [ -e .kde3.2 ]; then
++ /bin/cp -r .kde3.2 .kde3.3
++ else
++ /bin/mkdir .kde3.3
++ fi
+fi
-+/bin/ln -sf .kde3.2 .kde
++/bin/ln -sf .kde3.3 .kde
+
-+#export KDEHOME="${HOME}/.kde3.2"
++#export KDEHOME="${HOME}/.kde3.3"
+
+# Gentoo part ends
+
- # we have to unset this for Darwin since it will screw up KDE's dynamic-loading
- unset DYLD_FORCE_FLAT_NAMESPACE
-
-@@ -112,12 +134,12 @@
++
+ # When the X server dies we get a HUP signal from xinit. We must ignore it
+ # because we still need to do some cleanup.
+ trap 'echo GOT SIGHUP' HUP
+@@ -144,12 +167,12 @@
# especially necessary on slow machines, where starting KDE takes one or two
# minutes until anything appears on the screen.
#
-# Set the background to plain grey.
-+# Set the background to cyan (Gentoo version change).
++# Set the background to plain cyan.
# The standard X background is nasty, causing moire effects and exploding
# people's heads. We use colours from the standard KDE palette for those with
# palettised displays.
@@ -51,17 +48,4 @@
+test "$XDM_MANAGED" || bkg="-solid #5477A0"
xsetroot -cursor_name left_ptr $bkg
- # The user's personal KDE directory is usually ~/.kde, but this setting
-@@ -163,7 +186,11 @@
- fi
-
- # the splashscreen and progress indicator
--ksplash --nodcop
-+if [ -n "$KSPLASH" ]; then
-+ $KSPLASH
-+else
-+ ksplash --nodcop
-+fi
-
- # We set LD_BIND_NOW to increase the efficiency of kdeinit.
- # kdeinit unsets this variable before loading applications.
+ # Get Ghostscript to look into user's KDE fonts dir for additional Fontmap